<template>
  <q-tooltip
    :value="value"
    :content-style="contentStyle"
    :anchor="anchor"
    :content-class="contentClass"
    :delay="delay"
    :hide-delay="hideDelay"
    :max-height="maxHeight"
    :max-width="maxWidth"
    :no-parent-event="noParentEvent"
    :offset="offset"
    :scroll-target="scrollTarget"
    :self="self"
    :target="target"
    :transition-hide="transitionHide"
    :transition-show="transitionShow"
  >

  </q-tooltip>
</template>

<script>
export default {
  name: 'MTooltips',
  props: {
    value: {
      type: Boolean,
      required: false
    },
    noParentEvent: {
      type: Boolean,
      required: false
    },
    contentStyle: {
      type: [Array, String, Object],
      required: false
    },
    anchor: {
      type: String,
      required: false
    },
    contentClass: {
      type: [Array, String, Object],
      required: false
    },
    delay: {
      type: Number,
      required: false
    },
    hideDelay: {
      type: Number,
      required: false
    },
    maxHeight: {
      type: String,
      required: false
    },
    maxWidth: {
      type: String,
      required: false
    },
    offset: {
      type: Array,
      required: false
    },

    self: {
      type: String,
      required: false
    },
    scrollTarget: {
      type: [String, Element],
      required: false
    },
    target: {
      type: [String, Boolean],
      required: false
    },
    transitionHide: {
      type: String,
      required: false
    },
    transitionShow: {
      type: String,
      required: false
    },
  },
}
</script>
